Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.assertion
Class IdentityAssertion

    java.lang.Object
      weblogic.xml.security.assertion.IdentityAssertion

All Implemented Interfaces:
  SecurityAssertion

Deprecated. please use new WS Security API

    public class IdentityAssertion

extends Object
implements SecurityAssertion

IdentityAssertion.java This class represents an assertion about the identity of the sender. Created: Thu Aug 8 09:05:04 2002

Field Summary
`static int` | `NO_PROOF` Deprecated.
`static int` | `POSSESSION_PROOF` Deprecated. An IdentityAssertion with proof type `POSSESSION_PROOF` is one that is backed by proof of possession of some unique identifying information.
`static int` | `SHARED_SECRET_PROOF` Deprecated. An IdentityAssertion with the proof type of `SHARED_SECRET_PROOF` is one that is backed by the presentation of a shared secret -- i.e.
`static String` | `STRING_NO_PROOF` Deprecated.
`static String` | `STRING_POSSESSION_PROOF` Deprecated.
`static String` | `STRING_SHARED_SECRET_PROOF` Deprecated.

Fields inherited from interface weblogic.xml.security.SecurityAssertion
`CONFIDENTIALITY_ASSERTION, CONFIDENTIALITY_CODE, IDENTITY_ASSERTION, IDENTITY_CODE, INTEGRITY_ASSERTION, INTEGRITY_CODE, TYPE_CONFIDENTIALITY_ASSERTION, TYPE_CONFIDENTIALITY_CODE, TYPE_INTEGRITY_ASSERTION, TYPE_INTEGRITY_CODE`

Constructor Summary
`IdentityAssertion(UserInfo user)` Deprecated.
`IdentityAssertion(X509Certificate cert, boolean proven)` Deprecated.

Method Summary
`String` | `getAssertionType()` Deprecated. `getAssertionType` returns the type of the assertion (e.g.
`int` | `getAssertionTypeCode()` Deprecated. Returns an integer that uniquely identifies the type of assertion.
`int` | `getProofType()` Deprecated. Returns the type of proof that was used to back this assertion.
`UserInfo` | `getUserInfo()` Deprecated. If this is a proof based on a username / password (i.e.
`X509Certificate` | `getX509Certificate()` Deprecated. If the proof is based on an X509Certificate (i.e.
`boolean` | `isAssertionType(String assertionType)` Deprecated. `isAssertionType` tests to see whether the type of the assertion matches the passed in type.
`String` | `proofAsString()` Deprecated.
`boolean` | `repudiable()` Deprecated. `repudiable` returns repudiablility of an assertion -- i.e.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_PROOF

    public static final int NO_PROOF

  Deprecated.
  See Also:
    Constant Field Values

### STRING_NO_PROOF

    public static final String STRING_NO_PROOF

  Deprecated.
  See Also:
    Constant Field Values

### POSSESSION_PROOF

    public static final int POSSESSION_PROOF

  Deprecated.
  An IdentityAssertion with proof type `POSSESSION_PROOF` is one that is backed by proof of possession of some unique identifying information. A most common proof is a Digital Signature backed by a digital signature -- the signature proves the sender has possession of the associated private key. Another common proof of possession is a a password digest, when computed with a nonce and/or timestamp.

  See Also:
    Constant Field Values

### STRING_POSSESSION_PROOF

    public static final String STRING_POSSESSION_PROOF

  Deprecated.
  See Also:
    Constant Field Values

### SHARED_SECRET_PROOF

    public static final int SHARED_SECRET_PROOF

  Deprecated.
  An IdentityAssertion with the proof type of `SHARED_SECRET_PROOF` is one that is backed by the presentation of a shared secret -- i.e. by the presentation of a password.

  See Also:
    Constant Field Values

### STRING_SHARED_SECRET_PROOF

    public static final String STRING_SHARED_SECRET_PROOF

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### IdentityAssertion

    public IdentityAssertion(UserInfo user)

  Deprecated.

### IdentityAssertion

    public IdentityAssertion(X509Certificate cert,
                             boolean proven)

  Deprecated.

Method Detail

### getAssertionType

    public String getAssertionType()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `getAssertionType` returns the type of the assertion (e.g. identity, integrity, confidentiality) as a string.

  Specified by:
    `getAssertionType` in interface `SecurityAssertion`
  Returns:
    a `String` value representing the assertion type

### getAssertionTypeCode

    public int getAssertionTypeCode()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  Returns an integer that uniquely identifies the type of assertion.

  Specified by:
    `getAssertionTypeCode` in interface `SecurityAssertion`
  Returns:

### isAssertionType

    public boolean isAssertionType(String assertionType)

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `isAssertionType` tests to see whether the type of the assertion matches the passed in type.

  Specified by:
    `isAssertionType` in interface `SecurityAssertion`
  Parameters:
    `assertionType` - a `String` value
  Returns:
    a `boolean` value indicating the match result.

### repudiable

    public boolean repudiable()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `repudiable` returns repudiablility of an assertion -- i.e. can the the creator reasonably deny that they performed the operation that backs this assertion. This is generally true for public/private key based operations where the operation is performed by the private key that is available only to a single individual or entity. True non-repudiation is only acheived in the context of solid practices (e.g. secure storage of keys, regular updates of revocation lists, certificate chain validation, etc.) and binding agreements between parties. This property indicates only that the backing operation supports non-repudiation.

  Specified by:
    `repudiable` in interface `SecurityAssertion`
  Returns:
    a `boolean` value

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### proofAsString

    public String proofAsString()

  Deprecated.

### getProofType

    public int getProofType()

  Deprecated.
  Returns the type of proof that was used to back this assertion. Currently there are two types supported: proof-of-possession and shared-secret.

  Returns:
    a `String` value
  See Also:
    `POSSESSION_PROOF`, `SHARED_SECRET_PROOF`

### getUserInfo

    public UserInfo getUserInfo()

  Deprecated.
  If this is a proof based on a username / password (i.e. of type SHARED_SECRET_PROOF), returns the available UserInfo.

  Returns:
    an `UserInfo` value

### getX509Certificate

    public X509Certificate getX509Certificate()

  Deprecated.
  If the proof is based on an X509Certificate (i.e. of type POSSESSION_PROOF), this returns the X509Certificate.

  Returns:
    an `UserInfo` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD